Get current user information
curl --request GET \
--url https://api.companyenrich.com/v2/me \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.companyenrich.com/v2/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/v2/me"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits": {
"used": 123,
"total": 123
},
"capabilities": {
"lists": true,
"previews": true,
"companySearchLimit": 123,
"companySearchAsyncLimit": 123,
"peopleSearchLimit": 123,
"searchTermLimit": 123
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}User
Get current user information
Cost: FREE - No credits deducted
Returns information about the authenticated user, including their API key, credit balance, and account capabilities. This endpoint requires authentication via an API key in the Authorization header.
GET
/
v2
/
me
Get current user information
curl --request GET \
--url https://api.companyenrich.com/v2/me \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.companyenrich.com/v2/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/v2/me"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits": {
"used": 123,
"total": 123
},
"capabilities": {
"lists": true,
"previews": true,
"companySearchLimit": 123,
"companySearchAsyncLimit": 123,
"peopleSearchLimit": 123,
"searchTermLimit": 123
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API Token used for authentication. Example: "Authorization: Bearer {token}"